<?php
/**
 * Ajax plugin call
 * 
 * This file is used as container for plugins because the path should '../'
 *  
 * @package linea21\core\admin
 * @author $Author$ - Simon Georget <simon@linea21.com>
 * @version $Id$ 
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

// $noplugin = true; // flag for ../config/define.php file
include_once('../config/define.php');
session_start();



//////////// Check Droits utilisateur ////////////
if (!$l21auth->isSuperAdmin()) ReloadIndex('admin');
////////////


include_once('../languages/' . U_L . '/lang_common.' . CHARSET . '.php');

if(!isset($_REQUEST['rub'])) die();

$plugin=htmlentities($_REQUEST['plugin']);
$rub=htmlentities($_REQUEST['rub']);

$path = '../plugins/'.$plugin.'/override/'.$rub.'/_ajax_admin.php';

if(!file_exists($path)) die('no way !');
else include_once($path);

?>